classification
Title: lib2to3 doesn't parse f(*[] or [])
Type: behavior Stage: commit review
Components: 2to3 (2.x to 3.x conversion tool) Versions: Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: gregory.p.smith Nosy List: benjamin.peterson, gregory.p.smith, lukasz.langa, miss-islington, serhiy.storchaka, thatch, yselivanov, zsol
Priority: normal Keywords: patch

Created on 2018-04-24 12:11 by zsol, last changed 2019-10-24 16:54 by gregory.p.smith. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 6586 merged zsol, 2018-04-24 12:13
PR 16913 merged miss-islington, 2019-10-24 06:19
PR 16914 merged miss-islington, 2019-10-24 06:19
Messages (6)
msg315698 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2018-04-24 12:42
See related issue24176 and issue24791.
msg340849 - (view) Author: Tim Hatch (thatch) * Date: 2019-04-25 16:39
Also see discussion about divergence on issue36541
msg355280 - (view) Author: miss-islington (miss-islington) Date: 2019-10-24 06:19
New changeset 96b06aefe23521b61e4e9cdd44f5d30b00c7eb95 by Miss Skeleton (bot) (Zsolt Dollenstein) in branch 'master':
bpo-33348: parse expressions after * and ** in lib2to3 (GH-6586)
https://github.com/python/cpython/commit/96b06aefe23521b61e4e9cdd44f5d30b00c7eb95
msg355281 - (view) Author: miss-islington (miss-islington) Date: 2019-10-24 06:36
New changeset 0160a70acbd9c530802effdf320ab08c7132f4bf by Miss Skeleton (bot) in branch '3.7':
bpo-33348: parse expressions after * and ** in lib2to3 (GH-6586)
https://github.com/python/cpython/commit/0160a70acbd9c530802effdf320ab08c7132f4bf
msg355282 - (view) Author: miss-islington (miss-islington) Date: 2019-10-24 06:37
New changeset d04661f9ca4a082a2dd9de52df687600d574407e by Miss Skeleton (bot) in branch '3.8':
bpo-33348: parse expressions after * and ** in lib2to3 (GH-6586)
https://github.com/python/cpython/commit/d04661f9ca4a082a2dd9de52df687600d574407e
msg355341 - (view) Author: Gregory P. Smith (gregory.p.smith) * (Python committer) Date: 2019-10-24 16:54
I'm marking this fixed, technically it still exists in 2.7.  it'll be up to someone who cares about making a change to 2.7 to make a PR to go in there for the final release.  It has existed so long, I doubt it matters there.
History
Date User Action Args
2019-10-24 16:54:13gregory.p.smithsetstatus: open -> closed
versions: - Python 3.7, Python 3.8, Python 3.9
messages: + msg355341

resolution: fixed
stage: patch review -> commit review
2019-10-24 06:37:25miss-islingtonsetmessages: + msg355282
2019-10-24 06:36:32miss-islingtonsetmessages: + msg355281
2019-10-24 06:19:30miss-islingtonsetpull_requests: + pull_request16444
2019-10-24 06:19:24miss-islingtonsetpull_requests: + pull_request16443
2019-10-24 06:19:14miss-islingtonsetnosy: + miss-islington
messages: + msg355280
2019-10-24 05:59:59gregory.p.smithsetversions: + Python 2.7
2019-10-24 05:59:52gregory.p.smithsetassignee: gregory.p.smith

nosy: + gregory.p.smith
2019-10-24 05:56:26gregory.p.smithlinkissue32496 superseder
2019-10-24 05:54:08gregory.p.smithsetversions: + Python 3.9, - Python 3.6
2019-04-25 16:39:21thatchsetnosy: + thatch
messages: + msg340849
2018-04-24 12:42:07serhiy.storchakasetnosy: + serhiy.storchaka, yselivanov, lukasz.langa, benjamin.peterson

messages: + msg315698
versions: + Python 3.6, Python 3.7, Python 3.8
2018-04-24 12:13:05zsolsetkeywords: + patch
stage: patch review
pull_requests: + pull_request6286
2018-04-24 12:11:17zsolcreate